org.apache.olingo.odata2.api.edm

## Enum EdmContentKind

- java.lang.Object
- - java.lang.Enum<EdmContentKind>
  - - org.apache.olingo.odata2.api.edm.EdmContentKind

- All Implemented Interfaces:
    Serializable, Comparable<EdmContentKind>

      public enum EdmContentKind
      extends Enum<EdmContentKind>

  Do not implement this interface or derive from class.
    EdmContentType is used for Feed Customization.

    It specifies the content type of the value of the property being mapped via a customizable feed mapping. This value can be "text", "html" or "xhtml".

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `html`
    `text`
    `xhtml`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdmContentKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EdmContentKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### text

          public static final EdmContentKind text

    - #### html

          public static final EdmContentKind html

    - #### xhtml

          public static final EdmContentKind xhtml

  - ### Method Detail

    - #### values

          public static EdmContentKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EdmContentKind c : EdmContentKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EdmContentKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.